unit mult1;

  { The following code is all inserted automatically by Delphi }
interface

  { These are the source code units available to this program }
uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls;

  { Delphi declares the main form used in the program and the    }
  { visual objects it contains - such as the button and Edit box }
type
  TForm1 = class(TForm)
    Edit1: TEdit;
    Button1: TButton;
    Edit2: TEdit;
    Edit3: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure Button1MouseMove(Sender: TObject;
      Shift: TShiftState; X,
      Y: Integer);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

 { The procedure which is run when the Button1 object is clicked    }
 { This is the only piece of code which I (rather than Delphi) have }
 { written in this program.                                         }
procedure TForm1.Button1Click(Sender: TObject);
var
   { Declaration section}
  i1, i2, i3, errcode : integer;
begin
   // code section
  Val( Edit1.Text, i1, errcode );
  if errcode <> 0 then
    ShowMessage( 'Ooops! The first value is not an integer!' )
  else
  begin
    Val( Edit2.Text, i2, errcode );
    if errcode <> 0 then
      ShowMessage( 'Ooops! The second value is not an integer!' );
  end;
  if errcode = 0 then
  begin
    i3 := i1 * i2;
   Edit3.Text := IntToStr(i3);
  end;
  Label4.Caption := Sender.ClassName;
end;

procedure TForm1.Button1MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
   Caption := IntToStr(X) + ':' + IntToStr(Y);
end;

end.
